petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetApplicationContext

Gets the user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetApplicationContext(SNES snes,void *usrP)

Not Collective Many br

### Input Parameter

snes -SNES context Many br

### Output Parameter

usrP -user context Many br

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this Many brfunction that tells Fortran the Fortran derived data type that you are passing in as the ctx argument. Many br

Many br

### Keywords

SNES, nonlinear, get, application, context

### See Also

SNESSetApplicationContext()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html
src/snes/examples/tutorials/ex5f90.F.html
src/snes/examples/tutorials/ex5f90t.F.html